glibmm 2.78.1

Public Member Functions | List of all members
Glib::SignalChildWatch Class Reference
The Main Event Loop

`#include <glibmm/main.h>`

## Public Member Functions
sigc::connection | connect (const sigc::slot< void(GPid, int)> &slot, GPid pid, int priority=PRIORITY_DEFAULT)
| Connects a child watch handler.

## Member Function Documentation

## ◆ connect()

sigc::connection Glib::SignalChildWatch::connect | ( | const sigc::slot< void(GPid, int)> & | slot,
|  | GPid | pid,
|  | int | priority = PRIORITY_DEFAULT )

Connects a child watch handler.

void child_watch_handler(GPid pid, int child_status) { ... }
Glib::signal_child_watch().connect(sigc::ptr_fun(&child_watch_handler), pid);
Glib::SignalChildWatch::connect
sigc::connection connect(const sigc::slot< void(GPid, int)> &slot, GPid pid, int priority=PRIORITY_DEFAULT)
Connects a child watch handler.
Glib::signal_child_watch
SignalChildWatch signal_child_watch()
Convenience child watch signal.

This method is not thread-safe. You should call it, or manipulate the returned sigc::connection object, only from the thread where the SignalChildWatch object's MainContext runs.

Parameters

  slot | A slot to call when child process pid exited.
  pid | The child process to watch for.
  priority | The priority of the new event source.

Returns
  A connection handle, which can be used to disconnect the handler.